> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get products

> Retrieves all available products



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json get /accounts/payment/products
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/payment/products:
    get:
      tags:
        - Payment
      summary: Get products
      description: Retrieves all available products
      operationId: getProducts
      responses:
        '200':
          description: Products retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/StripeProduct'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    StripeProduct:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Product ID
        name:
          type: string
          description: Product name
        marketing_features:
          type: array
          description: Marketing features
        description:
          type: string
          description: Product description
        price:
          $ref: '#/components/schemas/StripePrice'
          description: Default price
        metadata:
          type: object
          description: Metadata
    Error:
      type: object
      properties:
        error:
          type: string
    StripePrice:
      type: object
      required:
        - id
        - currency
        - unit_amount
        - amount
      properties:
        id:
          type: string
          description: Price ID
        currency:
          type: string
          description: Currency
        lookup_key:
          type: string
          description: Lookup key
        nickname:
          type: string
          description: Nickname
        unit_amount:
          type: number
          description: Unit amount in cents
        amount:
          type: number
          description: Amount in currency units
        metadata:
          type: object
          description: Metadata
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````